# Notes

target conference: [EACL 2024](https://www.aclweb.org/portal/content/call-system-demonstrations-eacl-2024)

## Introduction 

selling points:
 - clear separation of concerns, still very flexible
 - made with reproducibility in mind
 - easily share your approaches: 
 	- dataset pre-processing
 	- model weights and configurations
 - modules that are ready-to-use. 
	  - models / taskmodules:
	 	- (E)ER: 
	 	- RE:
	 	- EQA(?)
	  - ready-to-use datasets: 
	 	- NER:
	 	- RE:
	 	- EQA:
	  - metrics:
	 	- dataset statistics (measurements?)
	 	- F1
 - (hydra) configuration based experiment setup
 - ecosystem: pytorch-ie (core), pytorch-ie-hydra-template (experiment setup), pie-models (more model implementations), huggingface.co/pie

## general structure

- intro mit contributions
- design goals
- framework overview (architecture overview figure - dataset reader, taskmodule, model - plus IE doc schema)
- details with use case / user story: simple project derived from template + huggingface Space?
- ready-to-use models/taskmodules
- related work (vergleichende rel work. super-optional falls platz ist)
    - HF "tasks". Flair (?), andere IE Pipelines (Spacy, IE Frameworks UKP?, Heng Ji)
- conclusion

## Log

### 18-10-2023

TODO:
- contact Chris!
- what can we re-use from the repo readmes?
- how is the structure in other Demo-Papers, e.g. https://aclanthology.org/2023.acl-demo.40.pdf

Next steps:
- gather and integrate more content
- start writing a section, e.g. "Design"
- change template from lrec to

### 10-11-2023
- got content for every section *hoorey*!

TODO:
- [x] re-work taskmodule section
- [x] reference fig 1 from text
- [x] add data schema figure for RE example
- [x] integrate remaining feedback from Leo and Lisa
- [x] check abstract

### 20-11-2023

Video (potential content): show bootstrap process
1. github -> create from template
2. clone
3. install requirements
4. show configs
5. start training
6. show W&B logging
7. HF/pie space
8. "you can find our code at Github (here)"


TODO:
 - [ ] review all sections
 - [x] integrate Aleks' feedback
 - [x] video, see https://youtu.be/Hw1Idw5JBig

### 21-11-2023

TODO:
 - [ ] fix abstract last sentence